API Reference

Connectors

Channel connector keys (session only).

2 endpoints· Auth: JWT
get/api/v1/console/developers/connectors JWT

Get connectors

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/developers/connectors" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com
Set credentials in the “Authorize” menu
post/api/v1/console/developers/connectors/{connectorId}/connect JWT

Create connect

Path parameters

connectorIdrequired
string
—

Request body

application/json
{
  "url": "string",
  "name": "string",
  "expiresAt": "2026-09-30T18:07:53.993Z"
}
url
string
—
name
string
—
expiresAt
string (date-time)
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/developers/connectors/{connectorId}/connect" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "url": "string",
  "name": "string",
  "expiresAt": "2026-09-30T18:07:53.992Z"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu